%{!?python_sitelib: %global python_sitelib %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python_sitearch: %global python_sitearch %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
%{!?__python2: %global __python2 %{__python}}
%{!?python2_sitelib: %global python2_sitelib %{python_sitelib}}
%{!?python2_sitearch: %global python2_sitearch %{python_sitearch}}

Name:		sqlcli
Version:	3
Release:	14%{?dist}
Summary:	A command-line SQL query utility

License:	GPLv3+
URL:		http://github.com/larsks/sqlcli/
Source0:	https://github.com/larsks/sqlcli/archive/%{name}-%{version}.tar.gz

BuildRequires:	python2-devel
BuildRequires:	python2-setuptools
Requires:	python2
Requires:	python2-prettytable
Requires:	python2-sqlalchemy

BuildArch:	noarch

%description
This is a tool that uses SQLAlchemy to execute SQL queries against a SQL
database specified via a URL or an INI-style file (such as those used by most
of the OpenStack services).


%prep
%setup -q -n %{name}-%{name}-%{version}


%build
%{__python2} setup.py build


%install
> requirements.txt
%{__python2} setup.py install --prefix=%{_prefix} --root=%{buildroot} -O1 --skip-build


%files
%doc README.md COPYING
%{_bindir}/sqlcli
%{python2_sitelib}/sqlcli-%{version}-py*.egg-info
%{python2_sitelib}/sqlcli


%changelog
* Sun Feb 03 2019 Fedora Release Engineering <releng@fedoraproject.org> - 3-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 3-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Feb 09 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 3-12
- Escape macros in %%changelog

* Thu Feb 01 2018 Iryna Shcherbina <ishcherb@redhat.com> - 3-11
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3-8
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Fri Feb 05 2016 Fedora Release Engineering <releng@fedoraproject.org> - 3-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Mar 04 2015 Lars Kellogg-Stedman <lars@oddbiut.com> - 3-5
- Updated to version 3.

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Apr 18 2014 Björn Esser <bjoern.esser@gmail.com> - 2-4
- removed superflous stuff
- improved readability of macros
- prefer %%global over %%define

* Wed Nov 27 2013 Lars Kellogg-Stedman <lars@oddbit.com> - 2-3
- update license name (GPLv3 -> GPLv3+)
- added license file to %%doc

* Mon Nov 25 2013 Lars Kellogg-Stedman <lars@oddbit.com> - 2-2
- udpated sqlcli upstream includes license information
- spec file fixes in response to package review

* Mon Nov 25 2013 Lars Kellogg-Stedman <lars@oddbit.com> - 1-1
- initial packaging

